### Method

# Atspi StateSet set_by_name

#### Declaration [src]

    void
    atspi_state_set_set_by_name (
      AtspiStateSet* set,
      const gchar* name,
      gboolean enabled
    )

#### Description [src]

Enables/disables a state in an `AtspiStateSet` according to its `name`.

#### Parameters

`name`

  Type: `const gchar*`

  A string corresponding to a state name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`enabled`

  Type: `gboolean`

  If `TRUE`, `name` should be enabled in the `set` in question; otherwise, it should be disabled.